import { EventEmitter, OnInit } from '@angular/core';
import { I18nService } from '../../../services/i18n';
import { FormMetadata, FormSubmit } from '../../types';
import { AttachmentItem } from '../../organisms/attachment-uploader/types';
import { FeedbackFormMetadata, FeedbackSubmitEvent } from './types';
import * as i0 from "@angular/core";
export declare class FeedbackFormComponent implements OnInit {
    props: FeedbackFormMetadata;
    onSubmit: EventEmitter<FeedbackSubmitEvent>;
    onCancel: EventEmitter<void>;
    protected i18n: I18nService;
    private feedbackService;
    formProps: FormMetadata;
    typeOptions: import("../../../services/feedback").FeedbackTypeOption[];
    isSubmitting: import("@angular/core").WritableSignal<boolean>;
    isSuccess: import("@angular/core").WritableSignal<boolean>;
    error: import("@angular/core").WritableSignal<string>;
    private currentAttachments;
    constructor();
    ngOnInit(): void;
    private buildFormProps;
    handleFormSubmit(submitted: FormSubmit): Promise<void>;
    onAttachmentsChange(items: AttachmentItem[]): void;
    onCancelClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedbackFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedbackFormComponent, "val-feedback-form", never, { "props": { "alias": "props"; "required": false; }; }, { "onSubmit": "onSubmit"; "onCancel": "onCancel"; }, never, never, true, never>;
}
